<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage NAZARETH
 * @since NAZARETH 1.0.06
 */

$nazareth_header_css   = '';
$nazareth_header_image = get_header_image();
$nazareth_header_video = nazareth_get_header_video();
if ( ! empty( $nazareth_header_image ) && nazareth_trx_addons_featured_image_override( is_singular() || nazareth_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$nazareth_header_image = nazareth_get_current_mode_image( $nazareth_header_image );
}

$nazareth_header_id = nazareth_get_custom_header_id();
$nazareth_header_meta = get_post_meta( $nazareth_header_id, 'trx_addons_options', true );
if ( ! empty( $nazareth_header_meta['margin'] ) ) {
	nazareth_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( nazareth_prepare_css_value( $nazareth_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $nazareth_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $nazareth_header_id ) ) ); ?>
				<?php
				echo ! empty( $nazareth_header_image ) || ! empty( $nazareth_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $nazareth_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $nazareth_header_image ) {
					echo ' ' . esc_attr( nazareth_add_inline_css_class( 'background-image: url(' . esc_url( $nazareth_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( nazareth_is_on( nazareth_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight nazareth-full-height';
				}
				if ( ! nazareth_is_inherit( nazareth_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( nazareth_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $nazareth_header_video ) ) {
		get_template_part( apply_filters( 'nazareth_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'nazareth_action_show_layout', $nazareth_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'nazareth_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
